      program intpi
      implicit integer (a-z)
      parameter(nmax=50001)
      i=0
      irr2=(nmax+1)**2
      do 10 n=1,nmax,2
        nn=n**2
      do 20 m=1,nmax,2
        mm=m**2
        irr=nn+mm
        if(irr.lt.irr2) i=i+1
 20   continue
 10   continue
      write(6,900) i,((nmax+1)/2)**2
 900  format(' pi/4=',i12,' / ',i12)
      end
